imagejpeg
imageline
GD Functions
PHP Manual

# imagelayereffect

(PHP 4 >= 4.3.0, PHP 5)

imagelayereffect — Set the alpha blending flag to use the bundled libgd layering effects

### Description

bool imagelayereffect ( resource `$image` , int `$effect` )

Set the alpha blending flag to use the bundled libgd layering effects.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`effect`

  One of the following constants:

  `IMG_EFFECT_REPLACE`
    Use pixel replacement (equivalent of passing `TRUE` to imagealphablending())
  `IMG_EFFECT_ALPHABLEND`
    Use normal pixel blending (equivalent of passing `FALSE` to imagealphablending())
  `IMG_EFFECT_NORMAL`
    Same as `IMG_EFFECT_ALPHABLEND`.
  `IMG_EFFECT_OVERLAY`
    Overlay has the effect that black background pixels will remain black, white background pixels will remain white, but grey background pixels will take the colour of the foreground pixel.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note: This function is only available if PHP is compiled with the bundled version of the GD library.

> Note: This function requires GD 2.0.1 or later (2.0.28 or later is recommended).

imagejpeg
imageline
GD Functions
PHP Manual